# Data Structures Practice

There are a variety of data structures in these problems
that let you build data structures using test-driven
development one step at a time so that it's not
overwhelming.

* [Linked Queue](./linked_queue/README.md)
* [Linked List](./linked_list/README.md)
* [Circular Queue](./circular_queue/README.md)

To use this repository:

1. Fork and clone it
1. Change the working directory in your terminal to the
   directory that contains the cloned repository
1. Create and activate a virtual Python environment
1. Install the requirements from the _requirements.txt_ file


Then, start building data structures!
